# Uses of Class
java.nio.channels.Pipe

Packages that use Pipe
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of Pipe in java.nio.channels

Methods in java.nio.channels that return Pipe
Modifier and Type
Method
Description
`static Pipe`
Pipe.`open()`
Opens a pipe.

## Uses of Pipe in java.nio.channels.spi

Methods in java.nio.channels.spi that return Pipe
Modifier and Type
Method
Description
`abstract Pipe`
SelectorProvider.`openPipe()`
Opens a pipe.